Name: 915resolution
Version: 0.5.2
Release: XOS.1.XL4.1
Source0: http://www.geocities.com/stomljen/915resolution-0.5.2.tar.gz
Source1: 915resolution.init

URL: http://www.geocities.com/stomljen/
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/rpm-buildroot-%{name}-%{version}-%{release}
Prefix: %{_prefix}

Summary: Tool to modify the video BIOS of Intel 8xx/9xx graphics chipsets 
License: Public Domain
Group: System Environment/Base

%description
915resolution is a tool to modify the video BIOS of the 8xx and 9xx
series Intel graphics chipsets.  This includes the 845G, 855G, and
865G chipsets, as well as the 915G, 915GM, and 945G chipsets.  This
modification is neccessary to allow the display of certain graphics
resolutions for an X.org or XFree86 graphics server.

915resolution's modifications of the BIOS are transient.  There is
no risk of permanent modification of the BIOS.  This also means that
915resolution must be run every time the computer boots in order for
its changes to take effect.

%prep
%setup -q

%build
make clean
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{/sbin,%{_initrddir},%{_sysconfdir}/sysconfig}
install -m 0755 915resolution %{buildroot}/sbin/
install -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/915resolution
cat <<'EOF' > %{buildroot}%{_sysconfdir}/sysconfig/intelvideobios
# Specify a mode and the required resolution, e.g. "3a 1680 1050",
# optionally followed by more parameters (see "/sbin/915resolution -h").
VIDEOBIOS_PARAMS=""
EOF
chmod 0644 %{buildroot}%{_sysconfdir}/sysconfig/intelvideobios 

%post
/sbin/chkconfig --add 915resolution

%preun
if [ $1 -eq 0 ]; then
	/sbin/service 915resolution stop > /dev/null 2>&1
	/sbin/chkconfig --del 915resolution
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service 915resolution condrestart > /dev/null 2>&1
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt dump_bios

%config %{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
/sbin/*

%changelog
* Fri Aug 25 2006 X/OS Linux Team <xoslinux@xos.nl> 0.5.2-XOS.1.XL4.1
- Build for X/OS Linux 4.

* Mon Aug 21 2006 Jos Vos <jos@xos.nl> 0.5.2-XOS.1
- Initial version, limited to i386 and x86_64 architectures for now.
- Source rpm build.
